#!/usr/bin/python2

"""
Deletes a single mail from a POP3 server

Copyright 2003 Graham King

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
"""

import cgi
import poplib
import mailUtils

# Deletes message with given id from the given server. 'server' is expected to be a poplib server connected and authenticated

def deleteMessage(id, server):

	print "Deleting message: "+ str(id) +"<br>"
	server.dele(id)

#
# Main
#

print mailUtils.headerHTML()
print mailUtils.toolbarHTML()

form = cgi.FieldStorage()
if not form.has_key("id"):

	print "URL parameter 'id' missing. Nothing to delete."

else:

	server = mailUtils.initiateConnectionAndLogin()

	whatToDelete = form["id"]
	if type(whatToDelete) is type([]):	# If several to delete

		for item in whatToDelete:

			id = item.value
			deleteMessage(id, server)

	else:

		id = whatToDelete.value
		deleteMessage(id, server)

	server.quit()

	print 
	print "<b>Done</b>"

print mailUtils.footerHTML()
